Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OrientedBoxDistance Class Reference

指向性ボックス距離 More...

`#include <OrientedBoxDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const OrientedBox &ob, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const OrientedBox &ob0, const OrientedBox &ob1)
| 指向性ボックス距離の二乗
float | distance (const OrientedBox &ob, const Plane &plane)
| 平面距離
float | squaredDistance (const OrientedBox &ob, const Ray &ray)
| レイ距離の二乗
float | squaredDistance (const OrientedBox &ob, const Segment &segment)
| セグメント距離の二乗
float | squaredDistance (const OrientedBox &ob, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const OrientedBox &ob, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

指向性ボックス距離

Definition at line 41 of file OrientedBoxDistance.h.

## Member Function Documentation

float Lamp::OrientedBoxDistance::distance | ( | const OrientedBox & | ob,
|  | const Plane & | plane
| ) | `[static]`

  | 平面距離 Parameters:
  ob | 指向性ボックス
  plane | 平面
Returns: 距離 Definition at line 52 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  ob | 指向性ボックス
  triangle | 三角
Returns: 距離の二乗 Definition at line 88 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  ob | 指向性ボックス
  sphere | 球
Returns: 距離の二乗 Definition at line 79 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント距離の二乗 Parameters:
  ob | 指向性ボックス
  segment | セグメント
Returns: 距離の二乗 Definition at line 70 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob,
|  | const Ray & | ray
| ) | `[static]`

  | レイ距離の二乗 Parameters:
  ob | 指向性ボックス
  ray | レイ
Returns: 距離の二乗 Definition at line 61 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob0,
|  | const OrientedBox & | ob1
| ) | `[static]`

  | 指向性ボックス距離の二乗 Parameters:
  ob0 | 指向性ボックス
  ob1 | 指向性ボックス
Returns: 距離の二乗 Definition at line 43 of file OrientedBoxDistance.cpp. References Assert.

float Lamp::OrientedBoxDistance::squaredDistance | ( | const OrientedBox & | ob,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  ob | 指向性ボックス
  point | 点
Returns: 距離の二乗 Definition at line 34 of file OrientedBoxDistance.cpp. References Assert.

The documentation for this class was generated from the following files:

- OrientedBoxDistance.h
- OrientedBoxDistance.cpp